<div>
  <h2 id="page-heading" data-cy="DecorationHeading">
    <span jhiTranslate="gestionPersonnel3App.decoration.home.title">Decorations</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.decoration.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-decoration"
        [routerLink]="['/decoration/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.decoration.home.createLabel"> Créer un nouveau Decoration </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="decorations?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.decoration.home.notFound">Aucun Decoration trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="decorations && decorations.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateDecoration">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.decoration.dateDecoration">Date Decoration</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="typeDecoration.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.decoration.typeDecoration">Type Decoration</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.decoration.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let decoration of decorations; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/decoration', decoration.id, 'view']">{{ decoration.id }}</a>
          </td>
          <td>{{ decoration.dateDecoration | formatMediumDate }}</td>
          <td>
            <div *ngIf="decoration.typeDecoration">
              <a [routerLink]="['/type-decoration', decoration.typeDecoration.id, 'view']">{{ decoration.typeDecoration.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="decoration.employe">
              <a [routerLink]="['/employe', decoration.employe.id, 'view']">{{ decoration.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/decoration', decoration.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/decoration', decoration.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(decoration)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
